## recap 1.4.0

=== Makefile ===
#   Copyright (C) 2017 Rackspace, Inc.
#
#   This program is free software; you can redistribute it and/or modify
#   it under the terms of the GNU General Public License as published by
#   the Free Software Foundation; either version 2 of the License, or
#   (at your option) any later version.
#
#   This program is distributed in the hope that it will be useful,
#   but WITHOUT ANY WARRANTY; without even the implied warranty of
#   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#   GNU General Public License for more details.
#
#   You should have received a copy of the GNU General Public License along
#   with this program; if not, write to the Free Software Foundation, Inc.,
#   51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.


DESTDIR       ?=
BINPATH       ?= /sbin
PREFIX        ?= /usr/local
BINDIR        ?= $(PREFIX)$(BINPATH)
MANDIR        ?= $(PREFIX)/share/man
DOCDIR        ?= $(PREFIX)/share/doc
SYSCONFDIR    ?= /etc
CRONDIR       ?= $(SYSCONFDIR)/cron.d
SYSTEMDDIR    ?= /usr/lib/systemd/system
LOGDIR        ?= /var/log

ifneq ("$(wildcard /bin/systemctl)","")
	type=systemd
else
	type=cron
endif

all:
	@echo "Nothing to compile, please choose a specific target:"
	@echo "    install (includes install-base, install-man, install-doc and install-(cron/systemd)*)"
	@echo "    install-base"
	@echo "    install-cron"
	@echo "    install-systemd"
	@echo "    install-man"
	@echo "    install-doc"
	@echo "    uninstall (includes uninstall-base, uninstall-man, uninstall-doc and uninstall-(cron/systemd)*)"
	@echo "    uninstall-base"
	@echo "    uninstall-cron"
	@echo "    uninstall-systemd"
	@echo "    uninstall-man"
	@echo "    uninstall-doc"
	@echo ""
	@echo "*If systemd is available it will (un)install systemd units instead of cron"
	@echo "Current type detected is: $(type)"

recap.cron:
	@sed -e 's|@BINDIR@|$(BINDIR)|' src/utils/recap.cron.in > src/utils/recap.cron

recap.systemd:
	@for service_file in src/utils/*.service.in; do \
	sed -e 's|@BINDIR@|$(BINDIR)|' $${service_file} > $${service_file%.in}; \
	done

clean:
	@rm -f src/utils/recap.cron
	@rm -f src/utils/*.service

install: install-base install-man install-doc install-$(type)

uninstall: uninstall-base uninstall-man uninstall-doc uninstall-$(type)

install-base:
	@echo "Installing scripts..."
	@install -Dm0755 src/recap $(DESTDIR)$(BINDIR)/recap
	@install -Dm0755 src/recaplog $(DESTDIR)$(BINDIR)/recaplog
	@install -Dm0755 src/recaptool $(DESTDIR)$(BINDIR)/recaptool
	@echo "Installing configuration..."
	@install -Dm0644 src/recap.conf $(DESTDIR)$(SYSCONFDIR)/recap.conf
	@echo "Creating log directories..."
	@install -dm0750 $(DESTDIR)$(LOGDIR)/recap
	@install -dm0755 $(DESTDIR)$(LOGDIR)/recap/backups
	@install -dm0755 $(DESTDIR)$(LOGDIR)/recap/snapshots

install-cron: recap.cron
	@echo "Installing cron job..."
	@install -Dm0644 src/utils/recap.cron $(DESTDIR)$(CRONDIR)/recap

install-systemd: recap.systemd
	@echo "Installing systemd timers and services..."
	@install -dm0755 $(DESTDIR)$(SYSTEMDDIR)
	@install -Dm0644 src/utils/*.service $(DESTDIR)$(SYSTEMDDIR)/
	@install -Dm0644 src/utils/*.timer $(DESTDIR)$(SYSTEMDDIR)/
	@echo "Use the following to enable the systemd timers:"
	@echo "sudo systemctl enable recap.timer --now"
	@echo "sudo systemctl enable recaplog.timer --now"
	@echo "sudo systemctl enable recap-onboot.timer --now"

install-man:
	@echo "Installing man pages..."
	@install -Dm0644 src/recap.5 $(DESTDIR)$(MANDIR)/man5/recap.5
	@install -Dm0644 src/recap.8 $(DESTDIR)$(MANDIR)/man8/recap.8
	@install -Dm0644 src/recaplog.8 $(DESTDIR)$(MANDIR)/man8/recaplog.8
	@install -Dm0644 src/recaptool.8 $(DESTDIR)$(MANDIR)/man8/recaptool.8

install-doc:
	@echo "Installing docs..."
	@install -dm0755 $(DESTDIR)$(DOCDIR)/recap
	@install -Dm0644 CHANGELOG.md README.md COPYING -t $(DESTDIR)$(DOCDIR)/recap

uninstall-base:
	@echo "Removing scripts..."
	@rm -f $(DESTDIR)$(BINDIR)/recap
	@rm -f $(DESTDIR)$(BINDIR)/recaplog
	@rm -f $(DESTDIR)$(BINDIR)/recaptool
	@echo "Removing configuration..."
	@rm -f $(DESTDIR)$(SYSCONFDIR)/recap

uninstall-cron:
	@echo "Removing cron job..."
	@rm -f $(DESTDIR)$(CRONDIR)/recap

uninstall-systemd:
	@echo "Removing systemd timers and services..."
	@rm -f $(DESTDIR)$(SYSTEMDDIR)/recap*.{service,timer}
	@echo "Use the following to disable the systemd timers:"
	@echo "sudo systemctl disable recap.timer --now"
	@echo "sudo systemctl disable recaplog.timer --now"
	@echo "sudo systemctl disable recap-onboot.timer --now"

uninstall-man:
	@echo "Removing man pages..."
	@rm -f $(DESTDIR)$(MANDIR)/man5/recap.5
	@rm -f $(DESTDIR)$(MANDIR)/man8/recap.8
	@rm -f $(DESTDIR)$(MANDIR)/man8/recaplog.8
	@rm -f $(DESTDIR)$(MANDIR)/man8/recaptool.8

uninstall-doc:
	@echo "Removing docs..."
	@rm -Rf $(DESTDIR)$(DOCDIR)/recap

.PHONY: install install-base install-cron install-systemd install-man install-doc uninstall uninstall-base uninstall-cron uninstall-systemd uninstall-man uninstall-doc clean

=== debian/changelog ===
recap (1.4.0-2) unstable; urgency=medium

  * [34e1c3f] Update Debian control fields
  * [078b6fd] Update to debhelper 11 and bump debian compat to version 11
  * [456c12a] Update debian/copyright
  * [8f4ffce] Ignore quilt .pc directory
  * [074ffeb] Add patch to fix version string variable
  * [d45505f] Add patch: recap.5 should be recap.conf.5.
    Thanks to @jamrok for the patch provided
  * [1aa9699] Wrap long lines and sort items in Debian packaging files.
  * [d69ab0e] Bump Debian Standards-Version to 4.3.0 (no further changes)
  * Repackage for Debian/unstable (Closes: #918603)

 -- Darshaka Pathirana <dpat@syn-net.org>  Wed, 09 Jan 2019 18:22:59 +0100

recap (1.4.0-1) unstable; urgency=medium

  * Release 1.4.0

 -- Rackspace Debian Packaging Team <deb-pkg-maint@lists.rackspace.com>  Thu, 19 Jul 2018 17:02:23 -0500

recap (1.3.0-1) unstable; urgency=medium

  * Bumping to version 1.3.0

 -- Rackspace Debian Packaging Team <deb-pkg-maint@lists.rackspace.com>  Mon, 29 Jan 2018 18:46:45 +0000

recap (1.2.0-1) unstable; urgency=medium

  * Bumping to version 1.2.0

 -- Tony Garcia <tony.garcia@rackspace.com>  Thu, 09 Nov 2017 15:30:27 +0000

recap (1.0.0-1) unstable; urgency=medium

  * Bumping to version 1.0.0

 -- Brandon Tomlinson <brandon.tomlinson@rackspace.com>  Thu, 03 Aug 2017 16:07:07 +0000

recap (0.9.14-1) unstable; urgency=medium

  * Bumping to latest version

 -- Brandon Tomlinson <brandon.tomlinson@rackspace.com>  Tue, 13 Sep 2016 19:41:13 +0000

recap (0.9.11-1) UNRELEASED; urgency=medium

  * Test Build of latest tag

 -- Brandon Tomlinson <brandon.tomlinson@rackspace.com>  Thu, 03 Mar 2016 22:45:18 +0000

recap (0.9.8-1) unstable; urgency=low

  * Initial release.

 -- Andreas "Jimmy" Gredler <andreas.gredler@rackspace.com>  Tue, 11 Aug 2015 11:28:20 +0200

## recap 2.0.2

=== debian/changelog ===
recap (2.0.2-1) unstable; urgency=medium

  * [750185d] New upstream version 2.0.2

 -- Darshaka Pathirana <dpat@syn-net.org>  Fri, 01 Mar 2019 00:58:02 +0100

recap (2.0.1-1) unstable; urgency=medium

  * [f3a2747] Remove debian/patches which have been included upstream
  * [23e0dd6] New upstream version 2.0.1
  * [b4e7057] Override lintian info: package-contains-empty-directory
  * [2569e21] Override lintian warning: script-not-executable
  * [acd87c5] Override lintian warning: script-not-executable
  * [3b19ad1] Update copyright year of the source

 -- Darshaka Pathirana <dpat@syn-net.org>  Wed, 13 Feb 2019 06:21:05 +0100

=== debian/control ===
Source: recap
Section: misc
Priority: optional
Maintainer: Darshaka Pathirana <dpat@syn-net.org>
Uploaders:
 Michael Prokop <mika@debian.org>,
Build-Depends:
 debhelper (>= 11~),
 dh-exec,
Standards-Version: 4.3.0
Homepage: https://github.com/rackerlabs/recap
Vcs-Git: https://github.com/jkirk/recap.git
Vcs-Browser: https://github.com/jkirk/recap.git

Package: recap
Architecture: all
Depends:
 gawk,
 iotop,
 iproute2,
 links,
 procps,
 sysstat,
 ${misc:Depends},
 ${shlibs:Depends},
Description: Generates reports of various information about the server
 This program is intended to be used as a companion for the reporting provided
 by sysstat. It will create a set of reports summarizing hardware resource
 utilization. The script also provides optional reporting on a web server,
 MySQL and network connections.

## recap 2.1.0

=== Makefile ===
--- 
+++ 
@@ -19,6 +19,7 @@
 BINPATH       ?= /sbin
 PREFIX        ?= /usr/local
 BINDIR        ?= $(PREFIX)$(BINPATH)
+LIBDIR        ?= $(PREFIX)/lib
 MANDIR        ?= $(PREFIX)/share/man
 DOCDIR        ?= $(PREFIX)/share/doc
 SYSCONFDIR    ?= /etc
@@ -51,11 +52,11 @@
 	@echo "Current type detected is: $(type)"
 
 recap.cron:
-	@sed -e 's|@BINDIR@|$(BINDIR)|' src/utils/recap.cron.in > src/utils/recap.cron
+	@sed -e 's|^\s*\(BINDIR=\).*$$|\1$(BINDIR)|' src/utils/recap.cron.in > src/utils/recap.cron
 
 recap.systemd:
 	@for service_file in src/utils/*.service.in; do \
-	sed -e 's|@BINDIR@|$(BINDIR)|' $${service_file} > $${service_file%.in}; \
+	sed -e 's|^\s*\(Environment=BINDIR=\).*$$|\1$(BINDIR)|' $${service_file} > $${service_file%.in}; \
 	done
 
 clean:
@@ -68,9 +69,18 @@
 
 install-base:
 	@echo "Installing scripts..."
+	@sed -i.orig 's|^\s*\(declare\s\+-r\s\+LIBDIR=\).*$$|\1"$(LIBDIR)/recap"|' src/recap
 	@install -Dm0755 src/recap $(DESTDIR)$(BINDIR)/recap
 	@install -Dm0755 src/recaplog $(DESTDIR)$(BINDIR)/recaplog
 	@install -Dm0755 src/recaptool $(DESTDIR)$(BINDIR)/recaptool
+	@mv -f src/recap.orig src/recap
+	@echo "Installing libraries..."
+	@install -dm0755 $(DESTDIR)$(LIBDIR)/recap
+	@install -dm0755 $(DESTDIR)$(LIBDIR)/recap/core
+	@install -dm0755 $(DESTDIR)$(LIBDIR)/recap/plugins-available
+	@install -dm0755 $(DESTDIR)$(LIBDIR)/recap/plugins-enabled
+	@install -Dm0644 src/core/* $(DESTDIR)$(LIBDIR)/recap/core/
+	@install -Dm0644 src/plugins/* $(DESTDIR)$(LIBDIR)/recap/plugins-available/
 	@echo "Installing configuration..."
 	@install -Dm0644 src/recap.conf $(DESTDIR)$(SYSCONFDIR)/recap.conf
 	@echo "Creating log directories..."
@@ -94,7 +104,7 @@
 
 install-man:
 	@echo "Installing man pages..."
-	@install -Dm0644 src/recap.5 $(DESTDIR)$(MANDIR)/man5/recap.5
+	@install -Dm0644 src/recap.conf.5 $(DESTDIR)$(MANDIR)/man5/recap.conf.5
 	@install -Dm0644 src/recap.8 $(DESTDIR)$(MANDIR)/man8/recap.8
 	@install -Dm0644 src/recaplog.8 $(DESTDIR)$(MANDIR)/man8/recaplog.8
 	@install -Dm0644 src/recaptool.8 $(DESTDIR)$(MANDIR)/man8/recaptool.8
@@ -109,6 +119,10 @@
 	@rm -f $(DESTDIR)$(BINDIR)/recap
 	@rm -f $(DESTDIR)$(BINDIR)/recaplog
 	@rm -f $(DESTDIR)$(BINDIR)/recaptool
+	@echo "Removing libraries..."
+	@rm -Rf $(DESTDIR)$(LIBDIR)/recap/core
+	@rm -Rf $(DESTDIR)$(LIBDIR)/recap/plugins-available
+	@rm -Rf $(DESTDIR)$(LIBDIR)/recap/plugins-enabled
 	@echo "Removing configuration..."
 	@rm -f $(DESTDIR)$(SYSCONFDIR)/recap
 
@@ -126,7 +140,7 @@
 
 uninstall-man:
 	@echo "Removing man pages..."
-	@rm -f $(DESTDIR)$(MANDIR)/man5/recap.5
+	@rm -f $(DESTDIR)$(MANDIR)/man5/recap.conf.5
 	@rm -f $(DESTDIR)$(MANDIR)/man8/recap.8
 	@rm -f $(DESTDIR)$(MANDIR)/man8/recaplog.8
 	@rm -f $(DESTDIR)$(MANDIR)/man8/recaptool.8

=== debian/changelog ===
recap (2.1.0-1) unstable; urgency=medium

  [ Tony Garcia ]
  * [de55f35] New upstream version 2.1.0
  * [6f89c08] Override lintian warning: script-not-executable

  [ Darshaka Pathirana ]
  * [57c84a3] New upstream version 2.1.0
  * [7917ca0] Update changelog for release 2.1.0-1
  * [c25463b] Bump Debian Standards-Version to 4.5.1 (no further changes)
  * [333f8f0] Remove unneeded Build-Depends dh-exec
  * [16631d4] Update debian/copyright
  * [4a83b90] Updated Vcs-* fields to point to salsa.debian.org
  * [3e05270] Update changelog to include NMU version 2.0.2-1.1

 -- Darshaka Pathirana <dpat@syn-net.org>  Fri, 05 Feb 2021 11:10:47 +0100

recap (2.0.2-1.1) unstable; urgency=medium

  * Non maintainer upload by the Reproducible Builds team.
  * No source change upload to rebuild on buildd with .buildinfo files.

 -- Holger Levsen <holger@debian.org>  Sat, 09 Jan 2021 16:11:16 +0100

=== debian/control ===
--- 
+++ 
@@ -6,11 +6,10 @@
  Michael Prokop <mika@debian.org>,
 Build-Depends:
  debhelper (>= 11~),
- dh-exec,
-Standards-Version: 4.3.0
+Standards-Version: 4.5.1
 Homepage: https://github.com/rackerlabs/recap
-Vcs-Git: https://github.com/jkirk/recap.git
-Vcs-Browser: https://github.com/jkirk/recap.git
+Vcs-Git: https://salsa.debian.org/debian/recap.git
+Vcs-Browser: https://salsa.debian.org/debian/recap
 
 Package: recap
 Architecture: all

=== debian/rules ===
#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
#DH_VERBOSE = 1

# see EXAMPLES in dpkg-buildflags(1) and read /usr/share/dpkg/*
DPKG_EXPORT_BUILDFLAGS = 1
PREFIX = /usr
include /usr/share/dpkg/default.mk

# see FEATURE AREAS in dpkg-buildflags(1)
#export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# see ENVIRONMENT in dpkg-buildflags(1)
# package maintainers to append CFLAGS
#export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
# package maintainers to append LDFLAGS
#export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed


# main packaging script based on dh7 syntax
%:
	dh $@ 

# overrides
override_dh_installchangelogs:
	dh_installchangelogs CHANGELOG.md -k upstream

override_dh_auto_install:
	$(MAKE) PREFIX=/usr install-base install-man install-doc install-cron \
		DESTDIR=$(CURDIR)/debian/recap AM_UPDATE_INFO_DIR=no
	rm $(CURDIR)/debian/recap/usr/share/doc/recap/COPYING

=== debian/watch ===
version=4
https://github.com/rackerlabs/recap/releases /rackerlabs/recap/archive/(.+)\.tar\.gz
